# List all senders in project

Returns a paginated list of senders for the specified project. If no page token is supplied then the first `50` will be returned.

Endpoint: GET /v1/projects/{projectId}/kakaotalk/senders
Version: 1.2.126
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

## Query parameters:

  - `pageToken` (string)
    The page token if retrieving the next page from a previous query.

  - `pageSize` (number)
    The page size requested.

  - `filterStates` (array)
    Optionally query for sender by states.

  - `filterStatuses` (array)
    Optionally query for sender by statuses.

## Response 200:

  - `200` (unknown)
    List of senders

## Response 200 fields (application/json):

  - `totalSize` (number, required)
    Total size of the entries matching the search query.

  - `pageSize` (number, required)
    Requested size of the page.

  - `previousPageToken` (string)
    Encoded token to use in list request to fetch previous batch of entries.

  - `nextPageToken` (string)
    Encoded token to use in list request to fetch next batch of entries.

  - `senders` (array, required)
    List of senders.

  - `senders.id` (string)
    The unique ID of the sender.

  - `senders.plusFriendId` (string, required)
    PlusFriend ID

  - `senders.state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "BLOCKED", "INACTIVE", "SUSPENDED", "VERIFYING"

  - `senders.changes` (object)
    Any pending changes to the sender.

  - `senders.changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "IN_PROGRESS", "REJECTED"

  - `senders.changes.details` (any, required)
    Sender details and information.

  - `senders.changes.details.adminPhoneNo` (string, required)
    Admin phone

  - `senders.changes.details.name` (string, required)
    Sender name

  - `senders.changes.details.logoImage` (string)
    Sender logo

  - `senders.changes.details.topLevelCategoryCode` (string, required)
    Top level category code, must consist of 3 digits (e.g. 001).

  - `senders.changes.details.midLevelCategoryCode` (string, required)
    Mid level category code, must consist of 4 digits (e.g. 0001).

  - `senders.changes.details.subLevelCategoryCode` (string, required)
    Sub level category code, must consist of 4 digits (e.g. 0001).

  - `senders.details` (object)
    Sender details and information.

  - `senders.created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `senders.modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 200 examples:

  - `List response` (unknown)
    Response with senders.

## Response 400 examples:

  - `InvalidPageTokenError` (unknown)

  - `InvalidPageSizeError` (unknown)

  - `ProjectNotInitializedError` (unknown)

  - `InvalidFilterStatesError` (unknown)

  - `InvalidFilterStatusesError` (unknown)

## Response 401 examples:

  - `UnauthorizedErrorError` (unknown)

## Response 404 examples:

  - `SenderNotFoundError` (unknown)

## Response 500 examples:

  - `InternalErrorError` (unknown)

